Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1051457 - [abrt] gnome-shell-3.8.4-2.fc19: magazine_chain_pop_head: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
Summary: [abrt] gnome-shell-3.8.4-2.fc19: magazine_chain_pop_head: Process /usr/bin/gn...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.0
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
URL: http://faf-report.itos.redhat.com/rep...
Whiteboard: abrt_hash:10767b98fd716440110969e18b1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-10 10:27 UTC by Michal Toman
Modified: 2016-11-14 15:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1005613
Environment:
Last Closed: 2016-11-14 15:17:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Michal Toman 2014-01-10 10:27:08 UTC
+++ This bug was initially created as a clone of Bug #1005613 +++

Version-Release number of selected component:
gnome-shell-3.8.4-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:532
 #1 thread_memory_magazine1_alloc at gslice.c:835
 #2 g_slice_alloc at gslice.c:994
 #3 g_slice_alloc0 at gslice.c:1029
 #4 clutter_event_new at ./clutter-event.c:1101
 #5 clutter_x11_handle_event at x11/clutter-event-x11.c:190
 #6 gnome_shell_plugin_xevent_filter at gnome-shell-plugin.c:392
 #7 meta_compositor_process_event at compositor/compositor.c:926
 #8 event_callback at core/display.c:2937
 #9 filter_func at ui/ui.c:254

Potential duplicate: bug 702257

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:18 ---

Created attachment 795456 [details]
File: backtrace

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:21 ---

Created attachment 795457 [details]
File: cgroup

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:25 ---

Created attachment 795458 [details]
File: core_backtrace

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:28 ---

Created attachment 795459 [details]
File: dso_list

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:32 ---

Created attachment 795460 [details]
File: environ

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:35 ---

Created attachment 795461 [details]
File: exploitable

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:38 ---

Created attachment 795462 [details]
File: limits

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:43 ---

Created attachment 795463 [details]
File: maps

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:46 ---

Created attachment 795464 [details]
File: open_fds

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:50 ---

Created attachment 795465 [details]
File: proc_pid_status

--- Additional comment from chrism@alertlogic.com on 20130909T01:08:53 ---

Created attachment 795466 [details]
File: var_log_messages

--- Additional comment from jan.teichmann@gmail.com on 20130928T11:59:24 ---

The problem is related to suspend-to-ram. It occurs after the laptop wakes up and the problem is 100% reproducible.
Other symptoms are:
Network is down and the NetworkManager says all network interfaces are unmanaged.
I cannot change to root. The command su shows no reaction.
Changing to another terminal (TTY2...) only gives an empty black screen without prompt.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.11.1-200.fc19.i686.PAE
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000

--- Additional comment from jan.teichmann@gmail.com on 20130930T09:43:33 ---

The bug allows to bypass the screen lock without password.

In my case the bug occurs every time I used suspend-to-ram. The lock screen is unresponsive and after a while it continues straight to the running gnome session without password. The gnome session is buggy and not everything works but it allows access of data and programmes.

--- Additional comment from ant.aja@gmail.com on 20131015T11:35:48 ---

Installed PostInstaller on 14/10 in order to add Netflix-Desktop, XBMC and a few other modules. Shortly afterwards, Fedora began crashing whenever I tried to use the search box, and now it crashes when using the Activities tab.

yum removed PostInstaller hoping it was a faulty extension, but the issue persists.

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.11.3-201.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000

--- Additional comment from starfall@gmail.com on 20131016T21:52:35 ---

Clicking (in gnome-shell) on "Activities > Show Applications > All" causes gnome-shell to crash every time.

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.10.11-200.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000

--- Additional comment from starfall@gmail.com on 20131016T23:59:16 ---

(In reply to starfall from comment #15)
> Clicking (in gnome-shell) on "Activities > Show Applications > All" causes
> gnome-shell to crash every time.
> 
> reporter:       libreport-2.1.8
> backtrace_rating: 4
> cmdline:        /usr/bin/gnome-shell
> crash_function: magazine_chain_pop_head
> executable:     /usr/bin/gnome-shell
> kernel:         3.10.11-200.fc19.x86_64
> package:        gnome-shell-3.8.4-2.fc19
> reason:         Process /usr/bin/gnome-shell was killed by signal 11
> (SIGSEGV)
> runlevel:       N 5
> type:           CCpp
> uid:            1000

I found that the issue was caused by the installation of the new gtk3 package - 3.8.5-1.fc19.x86_64. Once I downgraded back to gtk3-3.8.4-1.fc19.x86_64, the crashes stop.

--- Additional comment from t.j.bentley@gmail.com on 20131017T08:43:28 ---

After upgrading my system (via "Software Upgrade") and after rebooting, gnome is unusable as moments after logging in gnome-shell crashes. Gnome-shell worked fine before the upgrade.

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 10a6cad251b330f5a134081720292197100000024190000
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.11.4-201.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000

--- Additional comment from t.j.bentley@gmail.com on 20131017T09:26:05 ---

I should add that for me I don't even need to go to "Activities": gnome shell always crashes a few seconds after login, even if I do nothing.

But downgrading gtk3 as mentioned above has fixed the issue for now. Thanks starfall.

--- Additional comment from starfall@gmail.com on 20131017T09:33:52 ---

Opened a new gtk3 bug for this -

https://bugzilla.redhat.com/show_bug.cgi?id=1020073

--- Additional comment from johnh@isi.edu on 20131018T23:10:42 ---

can severity of this be marked "high"?  (I cannot change severity, AFAIK.)

For me, the shell crashes consistently when trying to do [Windows-Key] and typing a command to run.  Without that capability, the shell is...ahem... not very useful.

Also, I can confirm rolling back gtk3-3.8.4 is a work-around.  (So I guess this is really a gtk3 bug that gnome-shell happens to trigger.)

--- Additional comment from the.hw.group@gmail.com on 20131021T02:05:37 ---

just clicked on the gnome applications menu (show all)

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.11.4-201.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 3
type:           CCpp
uid:            1000

--- Additional comment from johnh@isi.edu on 20131024T18:08:28 ---

gnome-shell crashes for me are fixed with the current update gtk3-3.8.6-1.fc19.x86_64

--- Additional comment from hedayatv@gmail.com on 20131029T09:07:11 ---

I went to Gnome Shell Overview mode and started typing "virtual". In the middle (I don't know exactly which character), gnome shell crashes. It happens always, and is probably caused by some entries it tries to show.

reporter:       libreport-2.1.8
abrt_installed_version: abrt-2.1.8-1.fc19.x86_64
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
kernel:         3.11.4-201.fc19.x86_64
libreport_version: libreport-2.1.8-1.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
satyr_version:  satyr-0.10-1.fc19.x86_64
type:           CCpp
uid:            1000

Comment 1 Michal Toman 2014-01-10 10:27:11 UTC
The same problem has been detected in Red Hat Enterprise Linux 7. The following packages are affected:

gnome-shell-3.8.4-14.el7.x86_64
gnome-shell-3.8.4-17.el7.x86_64

Comment 3 RHEL Program Management 2014-03-22 06:15:45 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 6 Tomas Pelka 2015-05-07 06:26:39 UTC
Can't reproduce, suspend/resume works just fine for me on 3.14.3.

I would advice close

Comment 7 Tomas Pelka 2016-11-14 15:17:20 UTC
We can't reproduce anymore on latest RHEL, assuming this is now fixed.

Please reopen if you met this issue again.


Note You need to log in before you can comment on or make changes to this bug.